High-Severity Vulnerabilities in Google Chrome

Published on 18 Jun 2020

Updated on 18 Jun 2020

Google has released Chrome version 83.0.4103.106 for Windows, macOS and Linux to address multiple high-severity vulnerabilities (CVE-2020-6505, CVE-2020-6506, CVE-2020-6507).

Successful exploitation of these vulnerabilities could allow an attacker to execute remote arbitrary code.

Users of affected products are advised to install the latest security updates immediately. Users are also encouraged to enable the automatic update function in Chrome to ensure that their software is updated promptly.

More information is available at:
https://chromereleases.googleblog.com/2020/06/stable-channel-update-for-desktop_15.html